AkaiDisk Class Reference

Toplevel AKAI image interpreter. More...

`#include <Akai.h>`

## Public Member Functions

| AkaiDisk (DiskImage *pDisk)
uint | GetPartitionCount ()
AkaiPartition * | GetPartition (uint count)
uint | GetOffset ()
uint | Acquire ()
uint | Release ()

## Protected Member Functions

void | SetOffset (uint Offset)
void | AkaiToAscii (char *buffer, int length)
int | ReadFAT (DiskImage *pDisk, AkaiPartition *pPartition, int block)
bool | ReadDirEntry (DiskImage *pDisk, AkaiPartition *pPartition, AkaiDirEntry &rEntry, int block, int pos)

## Detailed Description

Toplevel AKAI image interpreter.

This class takes an AKAI disk image as constructor argument and provides access to the individual partitions of that AKAI disk/image. The concept is similar to hard disc layout for other operating systems, which are also divided into individual partitions as topmost instance on the mass data media.

Definition at line 695 of file Akai.h.

## Constructor & Destructor Documentation

## AkaiDisk()

AkaiDisk::AkaiDisk | ( | DiskImage * | pDisk | ) |

Definition at line 1120 of file Akai.cpp.

## ~AkaiDisk()

AkaiDisk::~AkaiDisk | ( |  | ) |

virtual

Definition at line 1125 of file Akai.cpp.

## Member Function Documentation

## Acquire()

uint Resource::Acquire | ( |  | ) |

inline inherited

Definition at line 183 of file Akai.h.

## AkaiToAscii()

void AkaiDiskElement::AkaiToAscii | ( | char * | buffer,
|  | int | length )

protected inherited

Definition at line 1239 of file Akai.cpp.

## GetOffset()

uint AkaiDiskElement::GetOffset | ( |  | ) |

inline inherited

Definition at line 220 of file Akai.h.

## GetPartition()

AkaiPartition * AkaiDisk::GetPartition | ( | uint | count | ) |

Definition at line 1165 of file Akai.cpp.

## GetPartitionCount()

uint AkaiDisk::GetPartitionCount | ( |  | ) |

Definition at line 1134 of file Akai.cpp.

## ReadDirEntry()

bool AkaiDiskElement::ReadDirEntry | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | AkaiDirEntry & | rEntry,
|  | int | block,
|  | int | pos )

protected inherited

Definition at line 1191 of file Akai.cpp.

## ReadFAT()

int AkaiDiskElement::ReadFAT | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | int | block )

protected inherited

Definition at line 1182 of file Akai.cpp.

## Release()

uint Resource::Release | ( |  | ) |

inline inherited

Definition at line 187 of file Akai.h.

## SetOffset()

void AkaiDiskElement::SetOffset | ( | uint | Offset | ) |

inline protected inherited

Definition at line 226 of file Akai.h.

The documentation for this class was generated from the following files:

- Akai.h
- Akai.cpp